Subject: Re: [PATCH] Simplified GIT usage guide

From: David Howells <[email-masked]>
Date: Fri, 12 Dec 2008 19:02:41 +0000

Miklos Vajna <[email-masked]> wrote:

> This is incorrect, a 'blob' contains only the contents of the blob, the
> file mode is stored in the 'tree' object.

It seems I understand GIT's database less well than I thought.

> Is there any reason you hide the tag object?

What's a tag object?

> Using git clone --mirror would be much efficient, I think.

	warthog>man git-clone | grep mirror
	warthog1>

> Here and later below, IIRC -l is the default for local clones.

Okay.

> --bare implies -n.

Obvious.

> Why not using git stash and git stash pop?

I didn't know such existed.  That's why I want a crib sheet.

David